---
updatedAt: 2026-07-06T17:44:23.000Z
---

#  Fulfill with WFS Recommendations

Use **Fulfill With WFS Recommendations** to identify which seller-fulfilled items in your catalog Walmart suggests could potentially perform best when fulfilled by WFS. These suggestions are available on demand, and suggestions are refreshed the 1st and 15th of each month.

Key attributes include:

- **estimatedSalesLift**: The estimated increase in sales you could see if you converted the suggested items from seller-fulfilled to WFS.

- **sellerFulfilledPast30DaysSales**: A historical view of your seller-fulfilled sales for the past 30 days.
- **walmartFulfilledEstimatedSales**: An estimated view of your potential sales if the suggested items were fulfilled by WFS.

You can use these suggestions to determine which items to convert to WFS.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Recommendations API",
    "description": "APIs for providing recommendations to sellers.",
    "version": "3.1"
  },
  "x-readme": {
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false
  },
  "servers": [
    {
      "url": "https://marketplace.walmartapis.com",
      "description": "Production server for all APIs."
    }
  ],
  "tags": [
    {
      "name": "Recommendations",
      "description": "APIs for providing recommendations to sellers."
    }
  ],
  "paths": {
    "/v3/wfs/recommendation/fulfill-with-wfs": {
      "get": {
        "tags": [
          "Recommendations"
        ],
        "summary": " Fulfill with WFS Recommendations",
        "description": "Use **Fulfill With WFS Recommendations** to identify which seller-fulfilled items in your catalog Walmart suggests could potentially perform best when fulfilled by WFS. These suggestions are available on demand, and suggestions are refreshed the 1st and 15th of each month.\n\nKey attributes include:\n\n- **estimatedSalesLift**: The estimated increase in sales you could see if you converted the suggested items from seller-fulfilled to WFS.\n\n- **sellerFulfilledPast30DaysSales**: A historical view of your seller-fulfilled sales for the past 30 days.\n- **walmartFulfilledEstimatedSales**: An estimated view of your potential sales if the suggested items were fulfilled by WFS.\n\nYou can use these suggestions to determine which items to convert to WFS.",
        "operationId": "getFulfillWithWFSRecommendations",
        "parameters": [
          {
            "in": "header",
            "name": "Content-Type",
            "description": "Specifies the literal **application/json**. This value identifies the content type of the request body.\n",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "application/json"
          },
          {
            "in": "header",
            "name": "Accept",
            "description": "Only supported Media Type : application/json.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "application/json"
          },
          {
            "in": "header",
            "name": "WM_GLOBAL_VERSION",
            "description": "Global version for API compatibility.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "3.1"
          },
          {
            "in": "header",
            "name": "WM_MARKET",
            "description": "Identifies the Walmart Marketplace region for the request. If not specified, US is used by default.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "US"
          },
          {
            "in": "header",
            "name": "wm_audit.origin_source",
            "description": "Seller identifier.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "SELLER_API"
          },
          {
            "in": "query",
            "name": "customerFavorite",
            "required": false,
            "schema": {
              "type": "boolean"
            },
            "description": "Filters items by customer favorite status. When set to `true`, only customer favorites are returned. When set to `false`, only non-favorites are returned. If omitted, all items are returned.",
            "example": true
          },
          {
            "in": "query",
            "name": "showInsights",
            "required": false,
            "schema": {
              "type": "boolean",
              "default": false
            },
            "description": "Shows aggregate recommendation values for all items.",
            "example": "true/false"
          },
          {
            "in": "query",
            "name": "limit",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 30
            },
            "description": "The maximum number of SKUs to include in the response (1–300). If you omit this parameter, Walmart returns up to 30 SKUs.",
            "example": 10
          },
          {
            "in": "query",
            "name": "offset",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 0
            },
            "description": " The number of SKUs to skip before Walmart starts listing results. Set to 0 to start at the first SKU.",
            "example": 1
          },
          {
            "in": "query",
            "name": "sort_by",
            "required": false,
            "schema": {
              "type": "string",
              "default": "estimatedSalesLift"
            },
            "description": "The attribute to be used in sorting the response.",
            "example": "estimatedSalesLift"
          },
          {
            "in": "query",
            "name": "sort_order",
            "required": false,
            "schema": {
              "type": "string",
              "default": "DESC",
              "enum": [
                "ACS",
                "DESC"
              ]
            },
            "description": "The order in which the response should be sorted. This can be in set to \"ASC\" or \"DESC\" order of value. Default is \"DESC.",
            "example": "ASC/DESC"
          },
          {
            "in": "query",
            "name": "showHiddenRecordsOnly",
            "required": false,
            "schema": {
              "type": "boolean",
              "default": false
            },
            "description": "Shows insights you have hidden.",
            "example": "true/false"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "OK"
                    },
                    "payload": {
                      "type": "object",
                      "properties": {
                        "recommendedItems": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "gtin": {
                                "type": "string",
                                "description": "The Global Trade Identification Number (GTIN) associated with the item. If you provide a 12-digit UPC rather than a GTIN, the GTIN will start with two 0s followed by the UPC."
                              },
                              "sku": {
                                "type": "string",
                                "description": "The unique identifier you as the seller have assigned to your item."
                              },
                              "itemId": {
                                "type": "string",
                                "description": "Unique identifier assigned by Walmart for each item."
                              },
                              "brand": {
                                "type": "string",
                                "description": "The company name or manufacturer of the item."
                              },
                              "itemName": {
                                "type": "string",
                                "description": "The name of the item."
                              },
                              "insights": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "estimatedSalesLift": {
                                      "type": "number",
                                      "description": "The sales lift we predict you’ll see after your recommended items are converted, sent to WFS and made available to sell. "
                                    },
                                    "suggestedUnits": {
                                      "type": "number",
                                      "description": "The number of units Walmart suggests you send to WFS based on the item's forecasted sales demand. These suggestions are generated by algorithms considering several factors including past sales, seasonality, listing, quality, pricing, and more."
                                    },
                                    "customerFavorite": {
                                      "type": "boolean",
                                      "description": "Indicates whether the item is identified as a customer favorite based on customer demand.",
                                      "enum": [
                                        true,
                                        false
                                      ],
                                      "example": true
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        "totalInsights": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "sellerFulfilledPast30DaysSales": {
                                "type": "number",
                                "description": "What you currently earn from seller-fulfilled items, based on your weekly average sales from the past 30 days."
                              },
                              "walmartFulfilledEstimatedSales": {
                                "type": "number",
                                "description": "What we predict you’ll earn if you convert the following items to WFS and send the suggested quantities. This is the sum of your predicted WFS GMV in the 30 days after your items are available to sell. To leverage these suggestions, we recommend you convert and send your items to WFS within the next 4 weeks."
                              },
                              "totalEstimatedSalesLift": {
                                "type": "number",
                                "description": "Total estimated sales lift if these items are converted to WFS and sold within the next 30 days of recommendation generation. This is your Walmart-fulfilled GMV minus seller-fulfilled GMV."
                              }
                            }
                          }
                        },
                        "totalRecords": {
                          "type": "number",
                          "description": "Total number of Fulfill with WFS insights available to you."
                        }
                      }
                    }
                  }
                },
                "example": {
                  "status": "OK",
                  "payload": {
                    "recommendedItems": [
                      {
                        "gtin": "00781723970862",
                        "sku": "HICO-WFS-97086",
                        "itemId": "180901654",
                        "brand": "Helen's Asian Kitchen",
                        "itemName": "HIC Harold Import Co. Helen Chen’s Asian Kitchen Bamboo Foldable Compact Dish Drying Rack, 20.5-Inches x 13-Inches.",
                        "insights": {
                          "estimatedSalesLift": 0,
                          "suggestedUnits": 7,
                          "customerFavorite": true
                        }
                      }
                    ],
                    "totalInsights": {
                      "sellerFulfilledPast30DaysSales": 0,
                      "walmartFulfilledEstimatedSales\t": 0,
                      "totalEstimatedSalesLift": 0
                    },
                    "totalRecords": 64
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - INTERNAL_SERVER_ERROR",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "INTERNAL_SERVER_ERROR"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "string",
                            "example": "400.WFS.101"
                          },
                          "field": {
                            "type": "string",
                            "example": "null"
                          },
                          "description": {
                            "type": "string",
                            "example": "SON_PARSE_EXCEPTION"
                          },
                          "info": {
                            "type": "string",
                            "example": "null"
                          },
                          "severity": {
                            "type": "string",
                            "example": "ERROR"
                          },
                          "category": {
                            "type": "string",
                            "example": "REQUEST"
                          },
                          "causes": {
                            "type": "array",
                            "example": ""
                          }
                        }
                      }
                    }
                  }
                },
                "example": {
                  "status": "INTERNAL_SERVER_ERROR",
                  "errors": [
                    {
                      "code": "400.WFS.100",
                      "field": "null",
                      "description": "JSON_PARSE_EXCEPTION",
                      "info": "null",
                      "severity": "ERROR",
                      "category": "REQUEST",
                      "causes": []
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "INTERNAL_SERVER_ERROR"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "string",
                            "example": "500.WFS.100"
                          },
                          "field": {
                            "type": "string",
                            "example": "null"
                          },
                          "description": {
                            "type": "string",
                            "example": "WFS_INTERNAL_SERVER_ERROR"
                          },
                          "info": {
                            "type": "string",
                            "example": "null"
                          },
                          "severity": {
                            "type": "string",
                            "example": "ERROR"
                          },
                          "category": {
                            "type": "string",
                            "example": "REQUEST"
                          },
                          "causes": {
                            "type": "array",
                            "example": ""
                          }
                        }
                      }
                    }
                  }
                },
                "example": {
                  "status": "INTERNAL_SERVER_ERROR",
                  "errors": [
                    {
                      "code": "500.WFS.100",
                      "field": null,
                      "description": "WFS_INTERNAL_SERVER_ERROR",
                      "info": null,
                      "severity": "ERROR",
                      "category": "REQUEST",
                      "causes": []
                    }
                  ]
                }
              }
            }
          }
        }
      }
    }
  }
}
```